@use "sass:map";
@import "variables";
@import "mixins";

@include for-tablet-only {
    .menu {
        display: block;

        &__tablet {
            display: flex;
            justify-content: center;
            gap: 36px;
            padding-top: 41px;
        }

        &__link {
            text-decoration: none;
            text-transform: uppercase;
            color: $primary-color;
            font-size: $secondary-size;

            &--text-color {
                padding-top: 5px;
                color: #57A4A4;
            }   


        }

    }

    .popup {
        opacity: 0;
    }

    .burger {
        display: none;
    }
    
    .content-section {

        &__post-img {
            padding: 23px 0 0 20px;
            height: 140px;
            width: 160px;
        }

        &__img {
            margin: 0 auto;
            padding-top: 44px;
        }

        &__title {
            font-size: 16px;
            padding: 46px 0 0 46px;
        }

        &__title-two {
            display: block;
            text-transform: uppercase;
            font-size: 13px;
            font-weight: 700;
            color: $primary-color;
            text-decoration: none;
            padding-top: 46px;
            padding-right: 28px;
        }

        &__text {
            font-size: 16px;
            font-weight: 700;
            color: $primary-color;
            padding: 38px 0 0 20px;
        }

        &__text-two {
            font-size: 12px;
            color: $secondary-color;
            padding: 18px 0 0 20px;
            display: inline-block;
        }

        .instagram {
            opacity: 0;
            position: absolute;
            left: -100%;
        }        

        &__text-three {
            display: block;
            font-size: $primary-size; 
            color: #5C5C5C;
            padding: 18px 0 0 20px;
            line-height: 26px;
        }

        &__post-img-instagram {
            padding: 30px 0 0 10px;
            height: 230px;
            width: 230px;
        }

        &__title-tablet-text {
            font-weight: 700;
            font-size: 16px;
            color: #4E4E4E;
            padding-left: 49px;
        }


        .img-wrap {
            display: flex;
            justify-content: center;
        }

        .none {
            display: block;
        }

        .posts-container-wrapper-one {
            display: flex;
        }

        .posts-container-wrapper-two {
            display: flex;
        }

        .posts-container-wrapper-three {
            display: flex;
        }

        .posts-container-wrapper-four {
            display: flex;
        }

        .content-section__post-text {
            width: 50%;
        }

        .wrapper-instagram-section {
            background-color: rgba(0, 0, 0, 0.1);
            margin-top: 60px;
            padding-bottom: 90px;
        }

        .title-wrap {
            display: flex;
            justify-content: space-between;
        }

        .padding-content-section {
            display: inline-block;
            padding-top: 46px;
        }

    }

    .footer {

        &__text {
            display: none;
        }

        &__text-two {
            display: block;
            color: #B9B9B9;
            padding: 22px 80px 0 80px;
            line-height: 28px;
            font-size: 16px;
            text-align: center;
        }

    }

    .footer__contacts {
        display: flex;
        padding-bottom: 56px;
    }

    .contacts {
        padding-left: 16px;
    }
    
}